<template>
  <q-layout view="lHh Lpr lFf">
  <q-footer elevated>
      <q-linear-progress size="25px" :value="progress1" color="secondary">
        <div class="absolute-full buttom flex flex-center">
          <q-badge color="white" text-color="black" :label="progressLabel1" />
        </div>
      </q-linear-progress>
  </q-footer>
    <q-page-container>
      <q-page class="row">
        <div class="absolute-center">
          <img src="../assets/HomeTv.gif" style="width: 400px;"/>
        </div>
      </q-page>
    </q-page-container>
  </q-layout>
</template>

<script>
export default {
  name: 'Verify',
  computed: {
    progressLabel1 () {
      return (this.progress1 * 100).toFixed(2) + '%'
    }
  },
  data () {
    return {
      title: 'Conectando...',
      progress1: 0.0
    }
  },
  mounted () {
    this.Conection()
  },
  meta () {
    return {
      title: this.title
    }
  },
  methods: {
    async Conection () {
      this.timer = setTimeout(() => {
        this.progress1 = 0.35
        this.timer = setTimeout(() => {
          this.progress1 = 0.46
          this.timer = setTimeout(() => {
            this.progress1 = 0.99
            this.timer = setTimeout(() => {
              this.progress1 = 1
              this.$router.push('login')
            }, 2000)
          }, 1000)
        }, 1000)
      }, 1000)
    }
  }
}
</script>
